weka.gui

## Class WrapLayout

- java.lang.Object
- - java.awt.FlowLayout
  - - weka.gui.WrapLayout

- All Implemented Interfaces:
    java.awt.LayoutManager, java.io.Serializable

      public class WrapLayout
      extends java.awt.FlowLayout

  FlowLayout subclass that fully supports wrapping of components.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.awt.FlowLayout

      `CENTER, LEADING, LEFT, RIGHT, TRAILING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrapLayout()` Constructs a new `WrapLayout` with a left alignment and a default 5-unit horizontal and vertical gap.
    `WrapLayout(int align)` Constructs a new `FlowLayout` with the specified alignment and a default 5-unit horizontal and vertical gap.
    `WrapLayout(int align, int hgap, int vgap)` Creates a new flow layout manager with the indicated alignment and the indicated horizontal and vertical gaps.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Dimension` | `minimumLayoutSize(java.awt.Container target)` Returns the minimum dimensions needed to layout the visible components contained in the specified target container.
    `java.awt.Dimension` | `preferredLayoutSize(java.awt.Container target)` Returns the preferred dimensions for this layout given the visible components in the specified target container.

    - ### Methods inherited from class java.awt.FlowLayout

      `addLayoutComponent, getAlignment, getAlignOnBaseline, getHgap, getVgap, layoutContainer, removeLayoutComponent, setAlignment, setAlignOnBaseline, setHgap, setVgap, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WrapLayout

          public WrapLayout()

      Constructs a new `WrapLayout` with a left alignment and a default 5-unit horizontal and vertical gap.

    - #### WrapLayout

          public WrapLayout(int align)

      Constructs a new `FlowLayout` with the specified alignment and a default 5-unit horizontal and vertical gap. The value of the alignment argument must be one of `WrapLayout`, `WrapLayout`, or `WrapLayout`.
      Parameters:
        `align` - the alignment value

    - #### WrapLayout

          public WrapLayout(int align,
                            int hgap,
                            int vgap)

      Creates a new flow layout manager with the indicated alignment and the indicated horizontal and vertical gaps.

      The value of the alignment argument must be one of `WrapLayout`, `WrapLayout`, or `WrapLayout`.

      Parameters:
        `align` - the alignment value
        `hgap` - the horizontal gap between components
        `vgap` - the vertical gap between components

  - ### Method Detail

    - #### preferredLayoutSize

          public java.awt.Dimension preferredLayoutSize(java.awt.Container target)

      Returns the preferred dimensions for this layout given the visible components in the specified target container.
      Specified by:
        `preferredLayoutSize` in interface `java.awt.LayoutManager`
      Overrides:
        `preferredLayoutSize` in class `java.awt.FlowLayout`
      Parameters:
        `target` - the component which needs to be laid out
      Returns:
        the preferred dimensions to lay out the subcomponents of the specified container

    - #### minimumLayoutSize

          public java.awt.Dimension minimumLayoutSize(java.awt.Container target)

      Returns the minimum dimensions needed to layout the visible components contained in the specified target container.
      Specified by:
        `minimumLayoutSize` in interface `java.awt.LayoutManager`
      Overrides:
        `minimumLayoutSize` in class `java.awt.FlowLayout`
      Parameters:
        `target` - the component which needs to be laid out
      Returns:
        the minimum dimensions to lay out the subcomponents of the specified container